from netforce.model import Model, fields

class HDCaseStaff(Model):
    _name="clinic.hd.case.staff"
    _name_field="staff_id"
    _fields={
        "hd_case_id": fields.Many2One("clinic.hd.case","HD Case",required=True,on_delete="cascade"),
        "staff_id": fields.Many2One("clinic.staff","Doctor",search=True),
        "type": fields.Selection([("doctor","Doctor"),('nurse','Nurse'),("staff","Staff")],"Type",required=True),
        "priop": fields.Selection([("owner","Owner"),('second','Secondary'),('other','Other')],"Priority"),
        'note': fields.Char("Note"),
    }
    
    _defaults={
        'type': 'doctor',
        'priop': 'second',
    }

HDCaseStaff.register()

